[svlug] Running 32-bit apps under 64-bit kernel

Alan DuBoff aland at softorchestra.com
Wed Jan 6 11:43:27 PST 2010


On Wed, 6 Jan 2010, Aaron Porter wrote:

> On Tue, Jan 5, 2010 at 9:09 PM, Alan DuBoff <aland at softorchestra.com> wrote:
>> Is it possible to run AcroRead under the 64-bit kernel?
>
> Not that I've tried acroread specifically, but you should be able to
> install the ia32-libs package (and all that it depends on) and go
> happily along your way.

That was a good idea, but left me short. I did learn some more 
about acroread in the process, and it looks pretty messy in 
there as the acroread is actually a script that points to 
another directory based on architecture and there are some 
comments that the code is not LSB compliant...

After installing those libs (and setting 
LD_LIBRARY_PATH...yeah..I hate to do that but trying to just get 
it working first;-) it fails to find libgdk_pixbuf.

The Adobe directories have a bunch trickery going on which 
eventually ends up in Reader9/Reader/intellinux/ (other 
architectures branch to another dir) and that is where the 
actual binary is. Running ldd shows a long list of missing stuff 
from pango to glib-2 to gdk, gobject, etc...there's about a 
dozen missing libs...still, *after* installing ia32-libs.

BTW, good to see your name, I think the first time we met was 
about 10 years ago and you must have been about 16 years old at 
a BAD meeting. So now you must be a "grown-up" (lol). You are 
one of the few that I know that can honestly say they were 
"weaned" on Linux...:-) What happened to your friend you used to 
show up with, was his name Ben? My memory is vague...

Hope all is well with you, and thanks for the help.

--

Alan DuBoff - Software Orchestration
http://www.softorchestra.com:8080/roller/blog/








More information about the svlug mailing list